#!/usr/bin/env python3
# -*- coding: utf-8 -*-
# =============================================================================
# Chapitre 14 Type Activité 1                                    Précision  
# =============================================================================
import numpy as np
from matplotlib import pyplot as plt

# Tableaux contenant les mesures
... A compléter...# Créer une liste nommée delta_V contenant les volumes des 
#déplacements d'eau mesurés en m^3
... A compléter...#Créer une liste nommée delta_P contenant les différences 
#poids moins poids apparent en N

# Régression linéaire
from scipy.stats import linregress
mod = linregress(delta_V,delta_poids)  
# mod[0] <- coefficient directeur k en (N/m^3)
# mod[1] <- ordonnée à l’origine (en N)
# mod[4] <- u(k) = incertitude-type sur k (en N/m^3)

# Affichage des résultats de la modélisation
print('Valeur de la pente rho_g =' , '%.2e'% mod[0] ,' N/m³')
...A compléter... #Afficher la valeur de l'ordonnée à l'origine issue de la 
#régression linéaire
...A compléter... #Afficher l'incertitude-type sur le coefficient directeur 
#issu de la régression linéaire

#Représentation graphique des résultats expérimentaux
...A compléter... # Tracer delta_poids en fonction de delta_V en croix rouges 

# Représentation graphique de la modélisation
x=np.linspace(0,max(delta_V)*1.1,6) # domaine x des abscisses en m^3 : 6 
#valeurs de 0 à max(delta_V)*1.1 exclu
...A compléter... # définir la fonction mod_x qui calcule les ordonnées selon 
#la régression linéaire pour les abscisses dans x
...A compléter... # Tracer la droite obtenue par regression linéaire en 
#tirets bleu

# Mise forme de la fenêtre graphique
plt.title('Test de la poussée d Archimède')
plt.xlabel('Déplacement d\'eau $\Delta V$ (en 10$^{-6}$ m$^3$ ou cm$^3$)')
plt.ylabel('Différence de poids $\Delta P$ (en N)')
plt.ticklabel_format(axis='x',style='scientific',scilimits=(-6,-6))
plt.xlim(0,max(x))
plt.ylim(0,max(delta_poids)*1.1)
plt.legend(loc=4)
plt.grid(ls=':')

plt.show()
